<?php

if(login_control()) {
	
	if($user["user_authority"] == 2) {

		if(session('moonpanel_pro_login')){

			if(route(2) == "health"){

				if (empty($_SERVER['HTTPS'])) {
					$ssl = "SSL Sertifikası Bulunuyor";
				}else{
					$ssl = "<b style='color:red;'>SSL Sertifikası Bulunmuyor</b>";
				}

				if($scriptVersion < $moonlisansUpdates['updates'][0]['version']){
					$versionC = "Yeni Bir Güncelleme Mevcut!";
				}elseif($scriptVersion == $moonlisansUpdates['updates'][0]['version']){
					$versionC = "Şuan En Güncel ve Kararlı Sürümü Kullanmaktasınız";
				}else{
					$versionC = "Nan";
				}

				$protitle = "Sistem Sağlığı";
				
			}elseif(route(2) == "cron"){

				$protitle = "CRON Ayarları";
				
			}elseif(route(2) == "guard"){

				$protitle = "Guard Ayarları";
				
			}elseif(route(2) == "update"){

				$protitle = "Güncelleme Kontrolü";
				
			}elseif(route(2) == "logout"){

				unset($_SESSION['moonpanel_pro_login']);
				header('Location:'.admin_url('pro'));
				
			}else{

				$protitle = "MoonPanel Bilgi Ekranı";
				$path = "general";

			}

		}else{

			if($_POST){

				$password = htmlspecialchars($_POST['propassword']);

				if($password == PRO_PASSWORD){

					$_SESSION['moonpanel_pro_login'] = true;
					header('Location:'.admin_url('pro'));

				}else{

					header('Location:'.admin_url('pro'));

				}

			}

			$protitle = "MoonPanel PRO Giriş Yap";
			$path = "login";

		}


		require admin_view('pro');
		

	}else{

		require controller("404");

	}

}else{

	require controller("404");
	
}